#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( offline )
add_subdirectory( generic )
add_subdirectory( fibs )
add_subdirectory( gnubg )
add_subdirectory( nextgen )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kbgengines (static) #######################

tde_add_library( kbgengines STATIC_PIC AUTOMOC
  SOURCES ${CMAKE_CURRENT_BINARY_DIR}/dummy.cpp
  LINK kbgoffline-static kbggnubg-static kbggeneric-static kbgfibs-static
    kbgnextgen-static
)

configure_file( ${TDE_CMAKE_TEMPLATES}/tde_dummy_cpp.cmake dummy.cpp COPYONLY )
